commit:     c648f9b7ebad33338be609a44aaae22005a784d4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 24 04:05:03 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 24 06:01:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c648f9b7

dev-python/httpx: Bump to 0.23.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/httpx/Manifest            |  1 +
 dev-python/httpx/httpx-0.23.0.ebuild | 87 ++++++++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index ae411e30ad60..ef8c11898bbe 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -1 +1,2 @@
 DIST httpx-0.22.0.gh.tar.gz 2157682 BLAKE2B 
bb08a7c4b72478d24264c0dca5630205ff386af73294dca66dcd12b646de602ad64e308feedaabd58742cb7a9d799fa23cd2f922e685e74f8181e1b5e9f1c4ee
 SHA512 
a7360f5355f75f07425b42d49697e480319f3fe606d4601bb6d64b870c8a8fce6fad8bd857ef422fc48e6141201307ee94876d5bc54a68557c7dc32ce8f1451b
+DIST httpx-0.23.0.gh.tar.gz 2160686 BLAKE2B 
036c66b2c3f743cd069716297f331f0d75043a98180b9db3e156c5692ae8bf9c68d1db87169953a7f44aaf7ee8554d0166f70b508f77b7ff4b0ebc0500bc02ad
 SHA512 
3cfdf2b3b2f15967a1eec0be05ed947c5e18a46576b68a9cbfd5147dfd4736cb7c389f5431732b93f3a11f3ec6c6f25f7cbb3d96d845f00b58e2b8dae047c1d5

diff --git a/dev-python/httpx/httpx-0.23.0.ebuild 
b/dev-python/httpx/httpx-0.23.0.ebuild
new file mode 100644
index 000000000000..71a252f563ba
--- /dev/null
+++ b/dev-python/httpx/httpx-0.23.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Docs builder mkdocs not keyworded on all these arches yet
+# DOCS_BUILDER="mkdocs"
+# DOCS_DEPEND="dev-python/mkdocs-material"
+# DOCS_AUTODOC=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1 optfeature # docs
+
+DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
+HOMEPAGE="
+       https://www.python-httpx.org/
+       https://github.com/encode/httpx/
+       https://pypi.org/project/httpx/
+"
+SRC_URI="
+       https://github.com/encode/httpx/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/sniffio[${PYTHON_USEDEP}]
+       =dev-python/httpcore-0.15*[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
+       cli? (
+               =dev-python/click-8*[${PYTHON_USEDEP}]
+               =dev-python/pygments-2*[${PYTHON_USEDEP}]
+               <dev-python/rich-13[${PYTHON_USEDEP}]
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/brotlicffi[${PYTHON_USEDEP}]
+               dev-python/cryptography[${PYTHON_USEDEP}]
+               dev-python/h2[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-trio[${PYTHON_USEDEP}]
+               dev-python/socksio[${PYTHON_USEDEP}]
+               dev-python/trio[${PYTHON_USEDEP}]
+               dev-python/trustme[${PYTHON_USEDEP}]
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+               dev-python/uvicorn[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin deps
+       sed -i -e 's:==[0-9.*]\+::' -e 's:,<[0-9.]\+::' setup.py || die
+       if ! use cli; then
+               sed -i -e '/console_scripts/d' setup.py || die
+       fi
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet
+               tests/client/test_proxies.py::test_async_proxy_close
+               tests/client/test_proxies.py::test_sync_proxy_close
+       )
+       local EPYTEST_IGNORE=()
+
+       use cli || EPYTEST_IGNORE+=(
+               tests/test_main.py
+       )
+
+       epytest
+}
+
+pkg_postinst() {
+       optfeature "HTTP/2 support" dev-python/h2
+       optfeature "SOCKS proxy support" dev-python/socksio
+       optfeature "Decoding for brotli compressed responses" 
dev-python/brotlicffi
+}

Reply via email to